Skip to content

Get 'Notification'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/communication/notification/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/communication/notification/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

titlestring, <= 255 charactersrequired
contentstringrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
display_imageobject or null
html_content_fileobject or null
attached_filesArray of strings or null
full_namestring or null, <= 255 charactersread-only
emailstring or null, (email), <= 254 charactersread-only
phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'read-only
ssnstring or null, (luhn), [ 12 .. 13 ] charactersread-only
fmistring or null, [ 17 .. 20 ] charactersread-only
org_nostring or null, (luhn), [ 10 .. 11 ] charactersread-only
gln13_numberstring or null, (gln13), [ 13 .. 14 ] charactersread-only
peppol_idstring or null, [ 15 .. 18 ] characters'^(0007|0088):\d{10,13}$'read-only
addressobject or null(Address)

Content Type: common.address

custom_addressstring or null
sent_to_organization_userobject or null(OrganizationUser)
sent_to_tenantobject or null(Tenant)
sent_to_sub_tenantobject or null(SubTenant)
sent_from_companyobject or null(Company)
readboolean
is_draftboolean
event_identifierstring or null, <= 255 charactersread-only
push_idstring or null, <= 255 charactersread-only
distribution_instructionArray of any or null
content_typeobject or null(Innehållstyp)
object_idstring or null, (uuid)
attached_file_urlsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "title": "string", "content": "string", "display_image": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "html_content_file": { "name": "string", "md5_hash": "string", "get": "string", "post": { … } }, "attached_files": [ "string" ], "full_name": "string", "email": "user@example.com", "phone_number": "string", "ssn": "stringstring", "fmi": "stringstringstrin", "org_no": "stringstri", "gln13_number": "stringstrings", "peppol_id": "stringstringstr", "address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization": { … }, "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "care_of": "string", "attention": "string", "street": "string", "street_number": "string", "postal_code": "string", "city": "string", "country": "string", "longitude": -180, "latitude": -90 }, "custom_address": "string", "sent_to_organization_user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "sent_to_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "sent_to_sub_tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "sent_from_company": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "read": true, "is_draft": true, "event_identifier": "string", "push_id": "string", "distribution_instruction": [ null ], "content_type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "object_id": "463a83d0-a816-4902-abba-2486e0c0a0bb", "attached_file_urls": null }